/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.catalog;

import java.util.Date;

import fr.tlse.irap.pt.client.component.DialogComponent;
import fr.tlse.irap.pt.client.controller.RootController;

public class CorotationCatalogDialogBox {

	private static CorotationCatalogComponent catalogController;

	public static CorotationCatalogComponent getCatalogComponent() {
		if (catalogController == null) {
			catalogController = new CorotationCatalogComponent();
			new DialogComponent(catalogController, RootController.stage, "CIR Arrival Times Catalogue");

		}
		catalogController.getDialog().toFront();
		return catalogController;
	}

	public static void show(Date startDate) {
		getCatalogComponent().initComponentWith(startDate);	}

}